Bug 328841 - [5.2]Cannot create the HVM domain using CD-ROM device because virDomainDefineXML() fails.
[5.2]Cannot create the HVM domain using CD-ROM device because virDomainDefine...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.1
All Linux
low Severity high
: ---
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 21:48 EDT by Masayuki Sunou
Modified: 2009-12-14 16:16 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0291
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:47:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Masayuki Sunou 2007-10-11 21:48:48 EDT
Description of problem:
When HVM domain using CD-ROM is created on virt-install, 
virDomainDefineXML() fails.
As a result, although installation of guest OS succeeds, 
guest OS cannot be started, because config file is not created.

Version-Release number of selected component (if applicable):
upstream(revision of Changelog : 1.766)

How reproducible:
always

Steps to Reproduce:
1.Execute virt-install with --cdrom and --hvm. 
  # vier-install --cdrom /dev/cdrom --hvm ...
  
Actual results:
virDomainDefineXML() fails.

Expected results:
Installation of HVM domain succeeds.

Additional info:
Comment 1 Daniel Veillard 2007-10-12 04:25:59 EDT
Please provide a full command line so we are more likely to be able to 
reproduce the problem.

Daniel
Comment 2 Masayuki Sunou 2007-10-12 05:23:10 EDT
Full command and output message are added.

# virt-install --name HVM_TEST --ram 350 --file /dev/sda8 --hvm --
cdrom /dev/cdrom --vnc --keymap ja


Starting install...
libvir: Xen error : Domain not found: xenUnifiedDomainLookupByUUID
libvir: Xen error : Domain not found: xenUnifiedDomainLookupByName
Creating domain...                                                 0 B 00:00
virDomainDefineXML() failed
Domain installation may not have been
 successful.  If it was, you can restart your domain
 by running 'virsh start HVM_TEST'; otherwise, please
 restart your installation.
Fri, 12 Oct 2007 18:17:52 ERROR    virDomainDefineXML() failed
Traceback (most recent call last):
  File "/usr/bin/virt-install", line 485, in ?
    main()
  File "/usr/bin/virt-install", line 449, in main
    dom = guest.start_install(conscb,progresscb)
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 740, in 
start_install
    return self._do_install(consolecb, meter)
  File "/usr/lib/python2.4/site-packages/virtinst/Guest.py", line 787, in 
_do_install
    self.conn.defineXML(boot_xml)
  File "/usr/lib/python2.4/site-packages/libvirt.py", line 589, in defineXML
    if ret is None:raise libvirtError('virDomainDefineXML() failed', conn=self)
libvirtError: virDomainDefineXML() failed
Comment 3 Daniel Veillard 2007-10-12 05:34:04 EDT
What version of libvirt is used ? This could be a mismatch between the 
latest virt-install version (installed from an RPM ?) and an older 
libvirt which didn't have full support for it.

Daniel
Comment 4 Masayuki Sunou 2007-10-14 20:29:54 EDT
The version is as follows. 
 o Libvirt is got from CVS.
   --> Revision of Changelog is "1.766"
 o Virt-install is got from Mercurial.
   --> Changeset is "286:531b73491ac2"

Both virt-install and libvirt are the latest versions. 
Comment 5 RHEL Product and Program Management 2007-10-19 11:55:28 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Daniel Veillard 2007-11-06 08:33:30 EST
Okay this was fixed upstream:

https://www.redhat.com/archives/libvir-list/2007-November/msg00004.html

Daniel
Comment 8 Daniel Veillard 2007-12-11 10:12:58 EST
libvirt-0.3.3-1.el5 has been built in dist-5E-qu-candidate with the fix
 
Daniel
Comment 11 errata-xmlrpc 2008-05-21 12:47:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0291.html

Note You need to log in before you can comment on or make changes to this bug.